Retrieves airline based on code (IATA or ICAO)
Retrieve airline based on IATA code or ICAO code.
Path Parameters
IATA / ICAO code
>= 2 characters<= 3 characters
Headers
Only ‘application/json’ is allowed
Example:application/json
Response
application/json
Response
OK
Airline
Passenger airline operating to or from Amsterdam Airport Schiphol.
Two-character IATA airline code. Example: KL.
Three-letter ICAO airline code. Example: KLM.
Numeric NVLS airline code.
Public name of the airline. Example: KLM.
Authentication
Path Parameters
Headers
Retrieves list of aircrafttypes
Retrieves list of aircrafttypes. If there are more hits then allowed on one page response headers will contain the URLs where other pages of the results can be reached.For example:
Link: <protocol://server_address:port/public-flights/resource> ; rel=“first”,
<protocol://server_address:port/public-flights/resource?page=10> rel=“last”,
<protocol://server_address:port/public-flights/resource?page=3> rel=“next”,
<protocol://server_address:port/public-flights/resource?page=1> rel=“prev”
Query Parameters
IATA main code
>= 3 characters<= 3 characters
IATA sub code
>= 3 characters<= 3 characters
Page number
Default:0
>= 0<= 499
Specifies which field to use for sorting. Allowed fields are iataMain, iataSub, longDescription and shortDescription. Use plus or minus sign to indicate ascending or descending order.
Match pattern:^((\+|-| )?(iataMain|iataSub|longDescription|shortDescription)(,|$))+$
Default:+iataMain
Headers
Only ‘application/json’ is allowed
Example:application/json
Response
application/json
Response
OK
AircraftTypeList
Aircraft type operated on flights to or from Amsterdam Airport Schiphol.
Show Child Parameters
Authentication
Query Parameters
Headers
Retrieves list of destinations
Retrieves list of destinations
If there are more pages of the result, header will contain custom String field - Link, which will contain URLs where other pages of the results can be reached.
For example:
Link: <protocol://server_address:port/public-flights/resource> ; rel=“first”,
<protocol://server_address:port/public-flights/resource?page=10> rel=“last”,
<protocol://server_address:port/public-flights/resource?page=3> rel=“next”,
<protocol://server_address:port/public-flights/resource?page=1> rel=“prev”
Query Parameters
Page number
Default:0
>= 0<= 499
Specifies which field to use for sorting. Allowed fields are publicName.dutch, publicName.english, iata, country and city… Use plus or minus sign to indicate ascending or descending order.
Match pattern:^((\+|-| )?(publicName\.dutch|publicName\.english|iata|country|city)(,|$))+$
Default:+iata
Headers
Only ‘application/json’ is allowed
Example:application/json
Response
application/json
Response
OK
DestinationList
Destination served by flights to or from Amsterdam Airport Schiphol.
Show Child Parameters
Authentication
Query Parameters
Headers
Retrieves destination based on IATA code
Retrieves destination based on IATA code
Path Parameters
IATA code
>= 3 characters<= 3 characters
Headers
Only ‘application/json’ is allowed
Example:application/json
Response
application/json
Response
OK
Destination
Destination served by flights to or from Amsterdam Airport Schiphol.
City name in English. Example: Venice.
Name of the country where the destination is located, in English.
Three-letter IATA code of the destination airport. Example: VCE.
Public names of the destination.
Show Child Parameters
Authentication
Path Parameters
Headers
RowType
objectCheck-in row allocated to the flight.
Position of the check-in row.
Check-in desks in the row.